% CoSMoS-COAST pure equlibrium model. SeanV.
close all; clc; %clear all;


%% Ensemble Wave conditions %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
load('Wave_hindcast_corrected.mat');

t=hindcast.time;
Hs=hindcast.Hs;
Tp=hindcast.tm02;
Dir=hindcast.Dir;

% shoreline observations to load
load('Shorecast_complete.mat')

tobs=Shore.time;
Yobs=Shore.average-nanmean(Shore.average);

int=30;
tobs=tobs(1:int:end);
Yobs=Yobs(1:int:end);

Yobs(tobs<min(t))=[];
tobs(tobs<min(t))=[];

Yobs(tobs>max(t))=[];
tobs(tobs>max(t))=[];

tobs(isnan(Yobs))=[];
Yobs(isnan(Yobs))=[];

Hsb=nanmean(Hs);
DY=1;

Ypred=(Hsb.^2-Hs.^2)/Hsb^2*DY;

figure;
subplot(2,1,1);
plot(t,Hs); axis([datenum(1999,01,01) max(t) 0 5]); datetick('x','keeplimits');

subplot(2,1,1);
plot(t,Hs); axis([datenum(1999,01,01) max(t) 0 5]); datetick('x','keeplimits');

subplot(2,1,2);
plot(tobs,Yobs,'-b.',t,Ypred,'r'); axis([datenum(1999,01,01) max(t) -25 20]); datetick('x','keeplimits');



