% Yates exploring. SeanV.
clear all; close all; clc;

load('cmap1.mat');

addpath(genpath('D:\SeanV\Matlab')); % add some matlab helper functions

[Hs2_Hsb2,Y_DY]=meshgrid(-5:0.01:5,-5:0.01:5);

Omega=-(Hs2_Hsb2+Y_DY);

figure(1); set(gcf,'PaperPositionMode','auto','Position',[100 100 850 800],'color','w');
subplot('Position',[0.14 0.14 0.8 0.76]); hold on; box on;

pcolor(Hs2_Hsb2,Y_DY,Omega); shading flat; colormap(flipud(cmap1)); caxis([-10 10]); colorbar; axis equal; axis tight; set(gca,'layer','top','FontSize',18,'XTick',-5:1:5,'YTick',-5:1:5);

% dahsed line %%%%%%%%
x = linspace(-5,5, 400);
y = linspace(5,-5, 400);
yDashed = y;
yDashed(10:7:length(yDashed)) = NaN;
plot(x, yDashed,'k');

xlabel('$\frac{H_s^2-\bar{H}_s^2}{\bar{H}_s^2}$','interpreter','latex','FontSize',30);
ylabel('$\frac{Y}{\Delta Y}$','interpreter','latex','FontSize',30);
title('$\Omega_{\Delta\mathrm{eq}}=-\left(\frac{H_s^2-\bar{H}_s^2}{\bar{H}_s^2}+\frac{Y}{\Delta Y}\right)$','interpreter','latex','FontSize',30);

annotation(gcf,'textbox',[0.664529411764705 0.8275 0.0837058823529412 0.0487499999999998],'String','Erosion','FitBoxToText','off','interpreter','latex','FontSize',30,'LineStyle','none');
annotation(gcf,'textbox',[0.157470588235291 0.173750000000001 0.0837058823529409 0.0487499999999997],'String','Accretion','FitBoxToText','off','interpreter','latex','FontSize',30,'LineStyle','none','color','w');

%han1=text(6,-6,'Erosion','interpreter','latex'); set(han1,'Rotation',90,'FontSize',18);

export_fig(gcf,'Equlibrium.jpg','-djpeg','-r300');