% erosion extent recurrance. SeanV
clear all; close all; clc;

F1=load('results_uniform_forcing_erosion_extent.mat');
F2=load('results_ensemble_forcing_erosion_extent.mat');

[Y1,~,~]=datevec(F2.tforecast1);
[Y2,~,~]=datevec(F2.tforecast2);

id=find(F1.YEAR>=Y2,1,'first');

YEAR=F1.YEAR(id:end,:);
YMAX1=F1.YMAX_YEAR(id:end,:);
YMAX2=F2.YMAX_YEAR(id:end,:);

hold on; box on;

plot(YEAR,YMAX2,'r',YEAR,YMAX1,'b');

han1=plot([Y1 Y1],[-40 0],'k--'); set(han1,'LineWidth',2);
han1=plot([Y2 Y2],[-40 0],'k--'); set(han1,'LineWidth',2);

len=length(YEAR);

% recurrance interval
ri=1;

YMAX1s=sort(YMAX1,1);
YMAX2s=sort(YMAX2,1);

YMAX1s_CI1=quantile(YMAX1s,0.025,2);
YMAX1s_CI2=quantile(YMAX1s,0.975,2);

YMAX1s_median=quantile(YMAX1s,0.5,2);

YMAX2s_CI1=quantile(YMAX2s,0.025,2);
YMAX2s_CI2=quantile(YMAX2s,0.975,2);

YMAX2s_median=quantile(YMAX2s,0.5,2);

% Plot results
P1=(0.001:0.001:1)'; E1=1-P1;
E_data=linspace(1/(len+1),len/(len+1),len)';
P_data=1-E_data;
Tr_data=ri./E_data;

% anonymous functions to work with GEV data
F=@(x,mu,sig,k) gevcdf(x,k,sig,mu); % Cumulative probablity distribution function
E=@(x,mu,sig,k) 1-F(x,mu,sig,k);    % exceedance probablity function
E_inc=@(x,mu,sig,k,SLR) E(x,mu+SLR,sig,k)./E(x,mu,sig,k); % factor of increase in exceedance of probability
x_inv=@(E,mu,sig,k) gevinv(1-E,k,sig,mu);                 % calculate event level x based on exceedace probability
Tr=@(x,mu,sig,k) ri./E(x,mu,sig,k);                       % return period
x_Tr=@(yr,mu,sig,k) gevinv(1-(ri./yr),k,sig,mu);          % calculate event level x based on return period
Tr_pct_red=@(TR,mu,sig,k,SLR) (TR-Tr(x_Tr(TR,mu,sig,k),mu+SLR,sig,k))./TR; % calculate the percent reduction in return period

figure; hold on; box on;
han1=fill([Tr_data; flipud(Tr_data)],[YMAX1s_CI1; flipud(YMAX1s_CI2)],'b'); set(han1,'FaceAlpha',0.5,'edgecolor','none');
han1=fill([Tr_data; flipud(Tr_data)],[YMAX2s_CI1; flipud(YMAX2s_CI2)],'r'); set(han1,'FaceAlpha',0.5,'edgecolor','none');
han1=plot(Tr_data,YMAX1s_median,'b'); set(han1,'LineWidth',2);
han1=plot(Tr_data,YMAX2s_median,'r'); set(han1,'LineWidth',2);
set(gca,'Ydir','rev','FontSize',14);
xlabel('Return Period [years]')
ylabel('Extent of Erosion [meters]')
axis([0 83 -35 0]);
han1=legend('uniform forcing','ensemble forcing'); set(han1,'location','NorthWest')
