clf; figure(1); set(gcf,'color','w','PaperPositionMode','auto','Position',[100 100 1200 900]);

ALPHA=0.2;

xp0=0.07;
yp0=0.07;

width=0.9;
height=0.4;

ysep=0.1;

subplot('Position',[xp0 yp0+height+ysep width height]); hold on; box on;

if ENSEMBLE_FORCING
    
    if t(n+1)<tforecast2;
        plot(t(1:n+1),Hs(1:n+1,1),'b');
    else
        plot(t(1:find(t>tforecast2,1,'first')),Hs(1:find(t>tforecast2,1,'first'),1),'b');
        %han1=plot(t(n+1),Hs_now(1),'ro'); datetick('x'); set(han1,'MarkerFaceColor','r');
        han1=fill([t_output(~isnan(t_output)); flipud(t_output(~isnan(t_output)))],[HSCI1(~isnan(t_output)); flipud(HSCI2(~isnan(t_output)))],'y');  set(han1,'FaceAlpha',ALPHA,'EdgeColor','none');
        han1=fill([t_output(~isnan(t_output)); flipud(t_output(~isnan(t_output)))],[HSCI2(~isnan(t_output)); flipud(HSCI3(~isnan(t_output)))],'g');  set(han1,'FaceAlpha',ALPHA,'EdgeColor','none');
        han1=fill([t_output(~isnan(t_output)); flipud(t_output(~isnan(t_output)))],[HSCI3(~isnan(t_output)); flipud(HSCI4(~isnan(t_output)))],'y');  set(han1,'FaceAlpha',ALPHA,'EdgeColor','none');
        han1=fill([t_output(~isnan(t_output)); flipud(t_output(~isnan(t_output)))],[HSCI4(~isnan(t_output)); flipud(HSMAX(~isnan(t_output)))],'r');  set(han1,'FaceAlpha',ALPHA,'EdgeColor','none');
    end
    
else
    
    plot(t,Hs(:,1),'b');
    
end

han1=plot([tforecast1 tforecast1],[0 4.5],'k--'); set(han1,'LineWidth',2)
han1=plot([tforecast2 tforecast2],[0 4.5],'k--'); set(han1,'LineWidth',2)

set(gca,'Xlim',[tstart t(n+1)],'Ylim',[0 4.5]);
set(gca,'xtick',datenum(1999:2:2025,1,1)); datetick('x','keeplimits','keepticks');
set(gca,'Xlim',[tstart t(n+1)],'Ylim',[0 4.5]);
set(gca,'FontSize',14);
xlabel('time'); ylabel('Wave Height [m]');

annotation(gcf,'doublearrow',[0.368333333333334 0.4625],[0.430111111111111+height+ysep 0.43+height+ysep]);

annotation(gcf,'doublearrow',[0.642500000000003 0.736666666666669],[0.430111111111111+height+ysep 0.43+height+ysep]);

annotation(gcf,'textbox',[0.221833333333334 0.425555555555556+height+ysep 0.0681666666666667 0.0288888888888889],...
    'String',{'Hindcast','(Calibration)'},'FitBoxToText','off','LineStyle','none','FontSize',14,'HorizontalAlignment','center');

annotation(gcf,'textbox',[0.518500000000001 0.427777777777778+height+ysep 0.0681666666666666 0.0288888888888889],...
    'String',{'Forecast','(Validation)'},'FitBoxToText','off','LineStyle','none','FontSize',14,'HorizontalAlignment','center');

if ENSEMBLE_FORCING
    
    annotation(gcf,'textbox',[0.748500000000002 0.428888888888889+height+ysep 0.0681666666666667 0.0288888888888889],...
        'String',{'Ensemble','Projection'},'FitBoxToText','off','LineStyle','none','FontSize',14,'HorizontalAlignment','center');
    
else
    
    annotation(gcf,'textbox',[0.748500000000002 0.921111111111111 0.0681666666666667 0.0288888888888889],...
        'String',{'Projection'},'FitBoxToText','off','LineStyle','none','FontSize',14,'HorizontalAlignment','center');
    
end

subplot('Position',[xp0 yp0 width height]); hold on; box on;
han1=plot(tobs_final,Yobs_final,'bo',t_output,YMEAN,'r'); set(han1,'MarkerSize',3,'MarkerFaceColor','b');
han1=fill([t_output(~isnan(t_output)); flipud(t_output(~isnan(t_output)))],[YCI1(~isnan(t_output)); flipud(YMAX(~isnan(t_output)))],'r');  set(han1,'FaceAlpha',ALPHA,'EdgeColor','none');
han1=fill([t_output(~isnan(t_output)); flipud(t_output(~isnan(t_output)))],[YCI1(~isnan(t_output)); flipud(YCI2(~isnan(t_output)))],'y');  set(han1,'FaceAlpha',ALPHA,'EdgeColor','none');
han1=fill([t_output(~isnan(t_output)); flipud(t_output(~isnan(t_output)))],[YCI2(~isnan(t_output)); flipud(YCI3(~isnan(t_output)))],'g');  set(han1,'FaceAlpha',ALPHA,'EdgeColor','none');


PLOT_1ST_MEMBER=0;
if PLOT_1ST_MEMBER
    han1=plot(t_output,Y1,'k'); set(han1,'LineWidth',1);
end

han1=fill([t_output(~isnan(t_output)); flipud(t_output(~isnan(t_output)))],[YCI3(~isnan(t_output)); flipud(YCI4(~isnan(t_output)))],'y');  set(han1,'FaceAlpha',ALPHA,'EdgeColor','none');


han1=plot([tforecast1 tforecast1],[-35 35],'k--'); set(han1,'LineWidth',2)
han1=plot([tforecast2 tforecast2],[-35 35],'k--'); set(han1,'LineWidth',2)

annotation(gcf,'doublearrow',[0.368333333333334 0.4625],[0.430111111111111 0.43]);

annotation(gcf,'doublearrow',[0.642500000000003 0.736666666666669],[0.430111111111111 0.43]);

annotation(gcf,'textbox',[0.221833333333334 0.425555555555556 0.0681666666666667 0.0288888888888889],...
    'String',{'Hindcast','(Calibration)'},'FitBoxToText','off','LineStyle','none','FontSize',14,'HorizontalAlignment','center');

annotation(gcf,'textbox',[0.518500000000001 0.427777777777778 0.0681666666666666 0.0288888888888889],...
    'String',{'Forecast','(Validation)'},'FitBoxToText','off','LineStyle','none','FontSize',14,'HorizontalAlignment','center');

if ENSEMBLE_FORCING
    
annotation(gcf,'textbox',[0.748500000000002 0.428888888888889 0.0681666666666667 0.0288888888888889],...
    'String',{'Ensemble','Projection'},'FitBoxToText','off','LineStyle','none','FontSize',14,'HorizontalAlignment','center');

else
    
    annotation(gcf,'textbox',[0.748500000000002 0.421111111111111 0.0681666666666667 0.0288888888888889],...
        'String',{'Projection'},'FitBoxToText','off','LineStyle','none','FontSize',14,'HorizontalAlignment','center');
    
end

set(gca,'Xlim',[tstart t(n+1)],'Ylim',[-35 35]);
set(gca,'xtick',datenum(1999:2:2025,1,1)); datetick('x','keeplimits','keepticks'); axis tight;
set(gca,'Xlim',[tstart t(n+1)],'Ylim',[-35 35]);
set(gca,'FontSize',14);
xlabel('time'); ylabel('Shoreline Position [m]');

LEG_ALPHA=0.2;

if PLOT_1ST_MEMBER
    han1=legend('observed','ensemble mean','max','95% CI','80% CI','1^{st} ens. member');
    set(han1,'Position',[0.845833333606523 0.375370374426797 0.149999996920427 0.159629625159281]);
    
    annotation(gcf,'textbox',...
        [0.848333333333334 0.408888888888889 0.0391041666666658 0.0733333333333332],...
        'LineStyle','none',...
        'FitBoxToText','off',...
        'FaceAlpha',LEG_ALPHA,...
        'BackgroundColor',[1 1 1]);
    
else
    han1=legend('observed','ensemble mean','max','95% CI','80% CI');
    set(han1,'Position',[0.845833333606523 0.375370374426797 0.149999996920427 0.159629625159281]);
    
    annotation(gcf,'textbox',...
        [0.848333333333334 0.38 0.0391041666666658 0.102222222222222],...
        'LineStyle','none',...
        'FitBoxToText','off',...
        'FaceAlpha',LEG_ALPHA,...
        'BackgroundColor',[1 1 1]);
    
end


%print(gcf,'model1.jpg','-djpeg','-r300');
